package com.atguigu.ssyx.cart.service;

import com.atguigu.ssyx.model.order.CartInfo;

import java.util.List;

public interface CartInfoService {

    /**
     * * 添加购物车
     *
     * @param skuId  商品id
     * @param userId 用户id
     * @param skuNum 商品数量
     */
    void addToCart(Long skuId, Long userId, Integer skuNum);

    /**
     * * 删除购物车内容
     *
     * @param skuId  商品id
     * @param userId 用户id
     */
    void deleteCart(Long skuId, Long userId);

    /**
     * * 清空购物车
     *
     * @param userId 用户id
     */
    void deleteAllCart(Long userId);

    /**
     * * 批量删除购物车
     *
     * @param userId    用户id
     * @param skuIdList 商品的id
     */
    void batchDeleteCart(Long userId, List<Long> skuIdList);

    /**
     * * 查询购物车列表
     *
     * @param userId 用户id
     * @return 购物车信息列表
     */
    List<CartInfo> getCartList(Long userId);
}
